summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author ArTourter2018-08-06 23:28:45 +0200
committer Willy Sudiarto Raharjo2018-08-11 02:23:05 +0200
commit85601153722cb8a0451c5e4d1ec9a16b69f50e64 (patch)
tree89fac0a07a88063536e727662d33c7aac83162b2 /office
parent026e0871c361484e42dbe644d403bce750e00315 (diff)
downloadslackbuilds-85601153722cb8a0451c5e4d1ec9a16b69f50e64.tar.gz
office/pdfpc: Updated for version 4.1.2 + new maintainer.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/pdfpc/README14
-rw-r--r--office/pdfpc/doinst.sh28
-rw-r--r--office/pdfpc/pdfpc.SlackBuild82
-rw-r--r--office/pdfpc/pdfpc.info14
-rw-r--r--office/pdfpc/slack-desc18
5 files changed, 119 insertions, 37 deletions
diff --git a/office/pdfpc/README b/office/pdfpc/README
index 214dcefabc..f57e79b7f8 100644
--- a/office/pdfpc/README
+++ b/office/pdfpc/README
@@ -1,11 +1,13 @@
-pdfpc is a GTK based presentation viewer application for GNU/Linux which uses
-Keynote like multi-monitor output to provide meta information to the speaker
-during the presentation. It is able to show a normal presentation window on one
-screen, while showing a more sophisticated overview on the other one providing
+A presenter console with multi-monitor support for PDF files.
+
+pdfpc is a GTK based presentation viewer application which uses Keynote like
+multi-monitor output to provide meta information to the speaker during the
+presentation. It is able to show a normal presentation window on one screen,
+while showing a more sophisticated overview on the other one providing
information like a picture of the next slide, as well as the left over time
till the end of the presentation. The input files processed by pdfpc are PDF
documents, which can be created using nearly any of today's presentation
software.
-A demo presentation can be downloaded at
-https://github.com/downloads/davvil/pdfpc/pdfpc-demo.pdf
+More information, including screenshots and a demo presentation, can be found
+at https://pdfpc.github.io/
diff --git a/office/pdfpc/doinst.sh b/office/pdfpc/doinst.sh
new file mode 100644
index 0000000000..86b31261ec
--- /dev/null
+++ b/office/pdfpc/doinst.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+# vim: et ts=2 sw=2
+
+config() {
+ NEW="$1"
+ OLD="${NEW%*.new}"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/pdfpcrc.new
+
diff --git a/office/pdfpc/pdfpc.SlackBuild b/office/pdfpc/pdfpc.SlackBuild
index b2a43f409d..1db71999b5 100644
--- a/office/pdfpc/pdfpc.SlackBuild
+++ b/office/pdfpc/pdfpc.SlackBuild
@@ -2,16 +2,35 @@
# Slackware build script for pdfpc
-# Written by Markus Hutmacher <mailing@markhu.de>
+# Copyright 2013 Markus Hutmacher <email removed>
+# Copyright 2018 Gregory Tourte <artourter@gmail.com>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
PRGNAM=pdfpc
-VERSION=${VERSION:-3.1.1}
+VERSION=${VERSION:-4.1.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -19,36 +38,69 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=${PKG:-$TMP/package-$PRGNAM}
+PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tgz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
+
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-cmake -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc .
-make
-make install DESTDIR=$PKG
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DSYSCONFDIR=/etc \
+ -DMANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+( cd $PKG/etc/
+ mv pdfpcrc pdfpcrc.new
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-install -m 0644 CHANGELOG.txt README.rst LICENSE.txt \
+install -m 0644 CHANGELOG.txt README.rst LICENSE.txt FAQ.rst SUPPORT.md CONTRIBUTORS rc/rcfile* \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-mv $PKG/usr/share/man/ $PKG/usr/man/
-gzip $PKG/usr/man/man1/$PRGNAM.1
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/pdfpc/pdfpc.info b/office/pdfpc/pdfpc.info
index 1ea7de69f8..ebe589cb97 100644
--- a/office/pdfpc/pdfpc.info
+++ b/office/pdfpc/pdfpc.info
@@ -1,10 +1,10 @@
PRGNAM="pdfpc"
-VERSION="3.1.1"
-HOMEPAGE="http://davvil.github.io/pdfpc"
-DOWNLOAD="https://github.com/downloads/davvil/pdfpc/pdfpc-3.1.1.tgz"
-MD5SUM="e30fcf39429abf365cadc1d0653f9017"
+VERSION="4.1.2"
+HOMEPAGE="https://pdfpc.github.io/"
+DOWNLOAD="https://github.com/pdfpc/pdfpc/archive/v4.1.2/pdfpc-4.1.2.tar.gz"
+MD5SUM="5b5fd7e78966ae604081631f38c6b1a1"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="libgee1"
-MAINTAINER="Markus Hutmacher"
-EMAIL="mailing@markhu.de"
+REQUIRES="libgee"
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
diff --git a/office/pdfpc/slack-desc b/office/pdfpc/slack-desc
index 08463b81dc..78108eeba2 100644
--- a/office/pdfpc/slack-desc
+++ b/office/pdfpc/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-pdfpc: pdfpc (a GTK based presentation viewer application)
+pdfpc: pdfpc (A presenter console with multi-monitor support for PDF files.)
pdfpc:
-pdfpc: pdfpc uses multi-monitor output to provide meta information to the
-pdfpc: speaker during the presentation.
-pdfpc:
-pdfpc: The input files processed by pdfpc are PDF documents, which can be
-pdfpc: created using nearly any of today's presentation software.
-pdfpc:
-pdfpc: A demo presentation can be downloaded at
-pdfpc: https://github.com/downloads/davvil/pdfpc/pdfpc-demo.pdf
+pdfpc: pdfpc is a GTK based presentation viewer application which uses
+pdfpc: Keynote like multi-monitor output to provide meta information to the
+pdfpc: speaker during the presentation. It is able to show a normal
+pdfpc: presentation window on one screen, while showing a more sophisticated
+pdfpc: overview on the other one providing information like a picture of the
+pdfpc: next slide, as well as the presentation's remaining time.
pdfpc:
+pdfpc: More information, including screenshots and a demo presentation, can
+pdfpc: be found at https://pdfpc.github.io/